summarylogtreecommitdiffstats
path: root/tome.sh
diff options
context:
space:
mode:
authorzxp198210052025-04-08 17:13:27 +0800
committerzxp198210052025-04-08 17:13:27 +0800
commita4d89fe1f18fb2c648be665b5ae9a65b99ef7751 (patch)
tree2e2bbff21a64c7a26b93ae1551c2abc5b90439da /tome.sh
parentf0a692bbe03381068e51b125423d5e48e45a2c0a (diff)
downloadaur-a4d89fe1f18fb2c648be665b5ae9a65b99ef7751.tar.gz
update to fix errors
Diffstat (limited to 'tome.sh')
-rw-r--r--tome.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tome.sh b/tome.sh
index 4cfe3ac09dd8..40e422ca2ee7 100644
--- a/tome.sh
+++ b/tome.sh
@@ -21,7 +21,7 @@ if [[ -f "${_FLAGS_FILE}" ]]; then
fi
done < "${_FLAGS_FILE}"
fi
-cd "${_APPDIR}"
+cd "${_APPDIR}" || { echo "Failed to change directory to ${_APPDIR}"; exit 1; }
if [[ "${EUID}" -ne 0 ]] || [[ "${ELECTRON_RUN_AS_NODE}" ]]; then
exec electron@electronversion@ "${_RUNNAME}" ${_OPTIONS} "${_USER_FLAGS[@]}" "$@"
else